summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndy Weidenbaum2016-03-02 21:34:41 -0800
committerAndy Weidenbaum2016-03-02 21:34:41 -0800
commit666f6af4d45c0f14f2d577105d257578f3551d8b (patch)
tree05b9a6f29348a14036c702e03cb98806477d54c9
downloadaur-666f6af4d45c0f14f2d577105d257578f3551d8b.tar.gz
Initial import
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD45
2 files changed, 64 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ba6ad3ac078
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by mksrcinfo v8
+# Thu Mar 3 05:34:29 UTC 2016
+pkgbase = perl6-crane
+ pkgdesc = Navigate Perl6 containers and perform tasks
+ pkgver = 0.0.1
+ pkgrel = 1
+ url = https://github.com/atweiden/crane
+ arch = any
+ groups = perl6
+ license = UNLICENSE
+ checkdepends = perl
+ makedepends = alacryd
+ makedepends = git
+ depends = perl6
+ source = perl6-crane-0.0.1::git+https://github.com/atweiden/crane
+ sha256sums = SKIP
+
+pkgname = perl6-crane
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2229582c465
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Andy Weidenbaum <archbaum@gmail.com>
+
+pkgname=perl6-crane
+pkgver=0.0.1
+pkgrel=1
+pkgdesc="Navigate Perl6 containers and perform tasks"
+arch=('any')
+depends=('perl6')
+checkdepends=('perl')
+makedepends=('alacryd' 'git')
+groups=('perl6')
+url="https://github.com/atweiden/crane"
+license=('UNLICENSE')
+source=($pkgname-$pkgver::git+https://github.com/atweiden/crane)
+sha256sums=('SKIP')
+
+check() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ msg2 'Running tests...'
+ PERL6LIB=lib prove -r -e perl6
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ msg2 'Installing documentation...'
+ install -Dm 644 README.md -t "$pkgdir/usr/share/doc/$pkgname"
+
+ msg2 'Installing...'
+ install -dm 755 "$pkgdir/usr/share/perl6/vendor"
+ export RAKUDO_LOG_PRECOMP=1
+ export PERL6LIB="inst#$pkgdir/usr/share/perl6/vendor"
+ alacryd install
+
+ msg2 'Removing redundant precomp file dependencies...'
+ _precomp=($(pacman -Qqg perl6 | pacman -Qql - | grep -E 'dist|precomp|short' || true))
+ for _pc in "${_precomp[@]}"; do
+ [[ -f "$pkgdir/$_pc" ]] && rm -f "$pkgdir/$_pc"
+ done
+
+ msg2 'Cleaning up pkgdir...'
+ find "$pkgdir" -type f -name "*.lock" -exec rm '{}' \;
+ find "$pkgdir" -type f -print0 | xargs -0 sed -i "s,$pkgdir,,g"
+}